rte_flow_item_nvgre(3)

NAME
rte_flow_item_nvgre

SYNOPSIS

#include <rte_flow.h>

  Data Fields

rte_be16_t c_k_s_rsvd0_ver
rte_be16_t protocol
uint8_t tni [3]
uint8_t flow_id

Detailed Description

RTE_FLOW_ITEM_TYPE_NVGRE.

Matches a NVGRE header.

Definition at line 1168 of file rte_flow.h.

Field Documentation

  rte_be16_t c_k_s_rsvd0_ver
Checksum (1b), undefined (1b), key bit (1b), sequence number (1b), reserved 0 (9b), version (3b).

c_k_s_rsvd0_ver must have value 0x2000 according to RFC 7637.

Definition at line 1175 of file rte_flow.h.

  rte_be16_t protocol
Protocol type (0x6558).

Definition at line 1176 of file rte_flow.h.

  uint8_t tni[3]
Virtual subnet ID.

Definition at line 1177 of file rte_flow.h.

  uint8_t flow_id
Flow ID.

Definition at line 1178 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.